
package mobicomp.test;


import java.io.IOException;

import mobicomp.interfaces.MHMessage;
import mobicomp.interfaces.MHSocket;
import mobicomp.net.MHMessageImpl;
import mobicomp.net.MHSocketImpl;


/**
 * TODO
 * 
 * @author Andreas Wetzel <andi@spamato.net>
 */
public class RouteFinder
{
    public static void main( String[] args) {
        try {
            // read local id from the first argument
            int local = Integer.parseInt( args[0]);

            // read route target address from the second argument
            int remote = Integer.parseInt( args[1]);

            // create the socket
            MHSocket socket = new MHSocketImpl( local);

            // nodes initialized with the same local and remote id, should do nothing.
            // their only task is to provide a working MHSocket, that routes messages
            // from other nodes.
            if ( local == remote ) {
                // do not send, just wait...
                while ( true ) {
                    try {
                        Thread.sleep( 10000);
                    }
                    catch (InterruptedException e1) {
                        // TODO Auto-generated catch block
                        e1.printStackTrace();
                    }
                }
            }
            
            // try to send a message to remote to initiate route discovery phase
            MHMessage m = new MHMessageImpl();
            m.setSender( local);
            m.setReceiver( remote);
            socket.send( m);
        }
        catch (IOException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }

    }
}